# $Revision: 1.220.2.8.2.22.2.8 $, $Date: 2007-11-11 20:34:39 $
#
# Conditional build:
%bcond_without	alsa		# don't build ALSA mm driver
%bcond_without	jack		# don't build JACK mm driver
%bcond_without	nas		# don't build NAS mm driver
%bcond_without	sane		# don't build TWAIN DLL with scanning support (through SANE)
%bcond_without	cups		# without CUPS printing support in winspool,wineps DLLs
#
# NOTE:	wineconsole is a bit broken: try wineconsole cmd to see what will happen
#	As a workaroound use `wineconsole --backend=user cmd' (works fine)
#	ref: http://bugs.winehq.org/show_bug.cgi?id=8069
#
# NOTE: wine detects the following SONAMES for dlopen at build time:
#   libcrypto,libssl (wininet.dll)
#   libcups (winspool.dll.so,wineps.dll.so)
#   libcurses/libncurses (wineconsole program)
#   libfontconfig (gdi32.dll.so)
#   libfreetype (wineps.dll.so,gdi32.dll.so)
#   libGL (x11drv.dll.so,ddraw.dll.so)
#   libjack (winejack.drv.so - explicit dependency in subpackage)
#   libX11, libXext, libXi, libXrender (x11drv.dll.so)
# thus requires rebuild after change of any of the above.
#
# JACK requires ALSA
%if %{without alsa}
%undefine	with_jack
%endif
Summary:	Program that lets you launch Win applications
Summary(es.UTF-8):	Ejecuta programas Windows en Linux
Summary(pl.UTF-8):	Program pozwalający uruchamiać aplikacje Windows
Summary(pt_BR.UTF-8):	Executa programas Windows no Linux
Name:		wine
Version:	0.9.49
Release:	1
Epoch:		1
License:	LGPL
Group:		Applications/Emulators
Source0:	http://ibiblio.org/pub/linux/system/emulators/wine/%{name}-%{version}.tar.bz2
# Source0-md5:	417912f28e48ddc6c4285a493d070564
Patch0:		%{name}-fontcache.patch
Patch1:		%{name}-makedep.patch
Patch2:		%{name}-ncurses.patch
Patch3:		%{name}-bug9177_workaround.patch
#PatchX:		%{name}-dga.patch
URL:		http://www.winehq.org/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	fontforge
BuildRequires:	freetype-devel >= 2.0.5
BuildRequires:	giflib-devel
BuildRequires:	glut-devel
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	ncurses-devel
# db2* failed previously - probably openjade or opensp bug
BuildRequires:	openjade >= 1:1.3.3-0.pre1
BuildRequires:	opensp >= 1:1.5.1
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_sane:BuildRequires:	sane-backends-devel}
BuildRequires:	valgrind
BuildRequires:	xrender-devel
Suggests:	binfmt-detector
# link to wine/ntdll.dll.so, without any SONAME
Provides:	libntdll.dll.so
Obsoletes:	wine-doc-pdf
Obsoletes:	wine-drv-arts
ExclusiveArch:	%{ix86}
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep		libGL.so.1 libGLU.so.1
%define		no_install_post_strip	1

%define		_winedir		%{_datadir}/%{name}

%define		getsoname()	%((objdump -p %{1} 2>/dev/null || echo SONAME ERROR) | awk '/SONAME/ { print $2; s=1 }; END { if(s==0) print "ERROR" }')

%description
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix. It
consists of a program loader which loads and executes a Microsoft
Windows binary, and a library that implements Windows API calls using
their Unix or X11 equivalents. The library may also be used for
porting Win32 code into native Unix executables.

%description -l es.UTF-8
Ejecuta programas Windows en Linux.

%description -l pl.UTF-8
Wine jest programem dzięki któremu można uruchamiać programy napisane
dla Microsoft Windows pod systemami uniksowymi. Składa się on z
loadera, który pozwala wczytywać i uruchamiać programy w formacie
Microsoft Windows, oraz z biblioteki, która implementuje API Windows
przy użyciu odpowiedników uniksowych oraz z X11. Biblioteka może być
także wykorzystana do przenoszenia aplikacji Win32 do Uniksa.

%description -l pt_BR.UTF-8
O Wine é um programa que permite rodar programas MS-Windows no X11.
Ele consiste de um carregador de programa, que carrega e executa um
binário MS-Windows, e de uma biblioteca de emulação que traduz as
chamadas da API para as equivalentes Unix/X11.

%package devel
Summary:	Wine - header files
Summary(es.UTF-8):	Biblioteca de desarrollo de wine
Summary(pl.UTF-8):	Wine - pliki nagłowkowe
Summary(pt_BR.UTF-8):	Biblioteca de desenvolvimento do wine
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Wine - header files.

%description devel -l es.UTF-8
Biblioteca de desarrollo de wine.

%description devel -l pl.UTF-8
Wine - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para desenvolver aplicações com o
WINE.

%package programs
Summary:	Wine - programs
Summary(pl.UTF-8):	Wine - programy
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description programs
Wine - programs.

%description programs -l pl.UTF-8
Wine - programy.

%package dll-d3d
Summary:	Direct3D implementation DLLs for Wine
Summary(pl.UTF-8):	Biblioteki DLL z implementacją Direct3D dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	OpenGL

%description dll-d3d
Direct3D implementation DLLs for Wine (through OpenGL).

%description dll-d3d -l pl.UTF-8
Biblioteki DLL z implementacją Direct3D dla Wine (poprzez OpenGL).

%package dll-gl
Summary:	OpenGL implementation DLLs for Wine
Summary(pl.UTF-8):	Biblioteki DLL z implementacją OpenGL dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	OpenGL

%description dll-gl
OpenGL implementation DLLs for Wine.

%description dll-gl -l pl.UTF-8
Biblioteki DLL z implementacją OpenGL dla Wine.

%package dll-twain
Summary:	TWAIN implementation DLL for Wine
Summary(pl.UTF-8):	Biblioteka DLL z implementacją TWAIN dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dll-twain
TWAIN implementation DLL for Wine (through SANE).

%description dll-twain -l pl.UTF-8
Biblioteka DLL z implementacją TWAIN dla Wine (poprzez SANE).

%package drv-alsa
Summary:	ALSA driver for WINE mm.dll implementation
Summary(pl.UTF-8):	Sterownik ALSA dla implementacji mm.dll w Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description drv-alsa
ALSA driver for WINE mm.dll (multimedia system) implementation.

%description drv-alsa -l pl.UTF-8
Sterownik ALSA dla implementacji mm.dll (systemu multimediów) w Wine.

%package drv-jack
Summary:	JACK driver for WINE mm.dll implementation
Summary(pl.UTF-8):	Sterownik JACK-a dla implementacji mm.dll w Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	jack-audio-connection-kit
# dlopened by SONAME detected at build time
%{?with_jack:Requires:	%{getsoname /usr/%{_lib}/libjack.so}}

%description drv-jack
JACK driver for WINE mm.dll (multimedia system) implementation.

%description drv-jack -l pl.UTF-8
Sterownik JACK-a dla implementacji mm.dll (systemu multimediów) w
Wine.

%package drv-nas
Summary:	NAS driver for WINE mm.dll implementation
Summary(pl.UTF-8):	Sterownik NAS dla implementacji mm.dll w Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description drv-nas
NAS driver for WINE mm.dll (multimedia system) implementation.

%description drv-nas -l pl.UTF-8
Sterownik NAS dla implementacji mm.dll (systemu multimediów) w Wine.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# turn off compilation of some tools
sed -i -e "s|winetest \\\|\\\|;s|avitools||" programs/Makefile.in
#sed -i -e "s|avitools||" programs/Makefile.in

%build
%{__autoconf}
%{__autoheader}
%configure \
	%{!?debug:--disable-debug} \
	%{!?debug:--disable-trace} \
	--enable-curses \
	--enable-opengl \
	--with-x

# $ORIGIN does not work in our builders
export LD_LIBRARY_PATH=$(pwd)/libs/wine

%{__make} depend
%{__make}
%{__make} -C programs
#%{__make} -C programs/regapi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_aclocaldir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C programs install \
	DESTDIR=$RPM_BUILD_ROOT

install tools/fnt2bdf			$RPM_BUILD_ROOT%{_bindir}

install aclocal.m4 $RPM_BUILD_ROOT%{_aclocaldir}/wine.m4
#mv -f $RPM_BUILD_ROOT{/usr/X11R6/share/aclocal,%{_aclocaldir}}/wine.m4

install -d \
	$RPM_BUILD_ROOT%{_winedir}/windows/{system,Desktop,Favorites,Fonts} \
	"$RPM_BUILD_ROOT%{_winedir}/windows/Start Menu/Programs/Startup" \
	$RPM_BUILD_ROOT%{_winedir}/windows/{SendTo,ShellNew,system32,NetHood} \
	$RPM_BUILD_ROOT%{_winedir}/windows/{Profiles/Administrator,Recent} \
	$RPM_BUILD_ROOT%{_winedir}/{"Program Files/Common Files","My Documents"}

touch $RPM_BUILD_ROOT%{_winedir}/{autoexec.bat,config.sys,windows/win.ini}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{shell.dll,shell32.dll}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{winsock.dll,wsock32.dll}

cat >$RPM_BUILD_ROOT%{_winedir}/windows/system.ini <<EOF
[mci]
cdaudio=mcicda.drv
sequencer=mciseq.drv
waveaudio=mciwave.drv
avivideo=mciavi.drv
videodisc=mcipionr.drv
vcr=mciviscd.drv
MPEGVideo=mciqtz.drv
EOF

%if %{?debug:0}%{!?debug:1}
echo "Strip executable binaries and shared object files."
filelist=`find $RPM_BUILD_ROOT -type f ! -regex ".*ld-[0-9.]*so.*"`
elfexelist=`echo $filelist | xargs -r file | \
	awk '/ELF.*executable/ {print $1}' | cut -d: -f1`
elfsharedlist=`echo $filelist | xargs -r file | \
	awk '/LF.*shared object/ {print $1}' | cut -d: -f1`; \
if [ -n "$elfexelist" ]; then \
	strip -R .note -R .comment $elfexelist
fi
if [ -n "$elfsharedlist" ]; then
	strip --strip-unneeded -R .note -R .comment $elfsharedlist
fi
%endif

# /sbin/chstk -e $RPM_BUILD_ROOT%{_bindir}/wine

programs="notepad progman regedit regsvr32 uninstaller wineconsole winefile winemine winepath winhelp"

BZZZ=`pwd`
rm -f files.so;		touch files.so
rm -f files.programs;	touch files.programs
cd $RPM_BUILD_ROOT%{_libdir}/wine
for f in *.so; do
	case $f in
		d3d8.dll.so|d3d9.dll.so|d3dx8.dll.so|glu32.dll.so|opengl32.dll.so|sane.ds.so|twain.dll.so|twain_32.dll.so|winealsa.drv.so|winejack.drv.so|winenas.drv.so)
			;;
		*)
			echo "%attr(755,root,root) %{_libdir}/wine/$f" >>$BZZZ/files.so
	esac
done
cd -
for p in $programs; do
	echo "%attr(755,root,root) %{_bindir}/$p" >> files.programs
	echo "%attr(755,root,root) %{_libdir}/wine/$p.exe.so" >> files.programs
	grep -v "$p\.exe\.so$" files.so > files.so.
	mv -f files.so. files.so
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%triggerpostun -- wine < 1:0.9.12-1.9
rm -f /var/lock/subsys/wine
if [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --del wine
fi

%files -f files.so
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS ANNOUNCE
%lang(de) %doc documentation/README.de
%lang(es) %doc documentation/README.es
%lang(fr) %doc documentation/README.fr
%lang(it) %doc documentation/README.it
%lang(ko) %doc documentation/README.ko
%lang(nb) %doc documentation/README.no
%lang(pt) %doc documentation/README.pt
%lang(pt_BR) %doc documentation/README.pt_br
%attr(755,root,root) %{_bindir}/msiexec
%attr(755,root,root) %{_bindir}/wine
%attr(755,root,root) %{_bindir}/wineboot
%attr(755,root,root) %{_bindir}/winebrowser
%attr(755,root,root) %{_bindir}/winecfg
%attr(755,root,root) %{_bindir}/winedbg
%attr(755,root,root) %{_bindir}/wine-kthread
%attr(755,root,root) %{_bindir}/winelauncher
%attr(755,root,root) %{_bindir}/wineprefixcreate
%attr(755,root,root) %{_bindir}/wine-preloader
%attr(755,root,root) %{_bindir}/wine-pthread
%attr(755,root,root) %{_bindir}/wineserver
%attr(755,root,root) %{_bindir}/wineshelllink
%attr(755,root,root) %{_libdir}/*.so*
%dir %{_libdir}/wine
%{_libdir}/wine/*.dll16
%{_libdir}/wine/*.drv16
%{_libdir}/wine/*.exe16
%{_mandir}/man1/wine.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineprefixcreate.1*
%{_mandir}/man1/wineserver.1*
%{_winedir}
%{_desktopdir}/wine.desktop

%files programs -f files.programs
%defattr(644,root,root,755)

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fnt2bdf
%attr(755,root,root) %{_bindir}/function_grep.pl
%attr(755,root,root) %{_bindir}/widl
%attr(755,root,root) %{_bindir}/winebuild
%attr(755,root,root) %{_bindir}/winedump
%attr(755,root,root) %{_bindir}/wineg++
%attr(755,root,root) %{_bindir}/winegcc
%attr(755,root,root) %{_bindir}/winemaker
#%attr(755,root,root) %{_bindir}/winewrap
%attr(755,root,root) %{_bindir}/wmc
%attr(755,root,root) %{_bindir}/wrc
%{_libdir}/wine/lib*.def
# no shared variants, so not separated
%{_libdir}/wine/lib*.def.a
%{_libdir}/wine/libdx*.a
%{_libdir}/wine/libstrmiids.a
%{_libdir}/wine/libuuid.a
%{_libdir}/wine/libwinecrt0.a
%{_includedir}/wine
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_aclocaldir}/*.m4

%files dll-d3d
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/d3d8.dll.so
%attr(755,root,root) %{_libdir}/wine/d3d9.dll.so
%attr(755,root,root) %{_libdir}/wine/d3dx8.dll.so
%attr(755,root,root) %{_libdir}/wine/wined3d.dll.so

%files dll-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/glu32.dll.so
%attr(755,root,root) %{_libdir}/wine/opengl32.dll.so

%if %{with sane}
%files dll-twain
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/sane.ds.so
%attr(755,root,root) %{_libdir}/wine/twain*.dll.so
%endif

%if %{with alsa}
%files drv-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/winealsa.drv.so
%endif

%if %{with jack}
%files drv-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/winejack.drv.so
%endif

%if %{with nas}
%files drv-nas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/winenas.drv.so
%endif

# additional dependencies in *.so not separated (yet?) from main package
#   ddraw.dll.so,x11drv.dll.so depend on X11 libs
#   ole2disp.dll.so,oleaut32.dll.so,typelib.dll.so depend on lib(un)gif,libjpeg,libX11
#   ttydrv.dll.so depends on ncurses

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wine.spec,v $
Revision 1.220.2.8.2.22.2.8  2007-11-11 20:34:39  undefine
- up to 0.9.49

Revision 1.220.2.8.2.22.2.7  2007-10-18 07:38:52  hawk
- updated to 0.9.47

Revision 1.220.2.8.2.22.2.6  2007/10/05 06:14:05  glen
- rel 3

Revision 1.220.2.8.2.22.2.5  2007/10/03 09:05:02  glen
- workaround for $ORIGIN rpath doesn't work in builders

Revision 1.220.2.8.2.22.2.4  2007/10/03 07:34:03  glen
- 0.9.46 HEAD merge

Revision 1.220.2.8.2.22.2.3  2007/09/20 08:43:47  jezik
- 0.9.45 (builds and works fine)

Revision 1.220.2.8.2.22.2.2  2007/08/25 11:26:40  shadzik
- 0.9.44 (not tested)

Revision 1.220.2.8.2.22.2.1  2007/06/25 18:04:48  glen
- update to 0.9.39

Revision 1.220.2.8.2.22  2007/05/14 18:45:56  arvenil
- up to 0.9.37

Revision 1.220.2.8.2.21  2007/05/05 16:33:01  arvenil
- Obsoletes: wine-doc-pdf (merged from HEAD)
- aRts sound driver has been removed for good (merged from HEAD)
- Obsoletes: wine-drv-arts (merged from HEAD)
- up to 0.9.36 (merged from HEAD)

Revision 1.220.2.8.2.20  2007/03/27 20:44:31  hawk
- ExcludeArch: i386 (while run in i386 wine displays a warning that
  running on glibc w/o tls will cause most programs to crash, and indeed
  I wasn't able to run anything)
- release 2

Revision 1.220.2.8.2.19  2007/03/22 21:05:13  arvenil
- up to 0.9.33 (merged from HEAD)
- dropped wine-alsa.patch (merged from HEAD)
- STBR

Revision 1.220.2.8.2.18  2007/01/29 01:57:58  charles
- up to 0.9.30

Revision 1.220.2.8.2.17  2007/01/10 02:36:22  shadzik
- 0.9.29

Revision 1.220.2.8.2.16  2006/12/24 03:10:36  charles
- up to 0.9.28

Revision 1.220.2.8.2.15  2006/12/09 22:29:46  charles
- rm glut32.dll.so

Revision 1.220.2.8.2.14  2006/12/09 19:24:39  shadzik
- no glu32.dll

Revision 1.220.2.8.2.13  2006/12/09 04:04:25  shadzik
- 0.9.27

Revision 1.220.2.8.2.12  2006/11/24 18:45:46  shadzik
- 0.9.26

Revision 1.220.2.8.2.11  2006/11/16 17:11:39  shadzik
- use !{with ...} instead of %{without ...}

Revision 1.220.2.8.2.10  2006/11/11 20:08:48  charles
- updated to 0.9.25

Revision 1.220.2.8.2.9  2006/10/28 00:32:19  shadzik
- 0.9.24

Revision 1.220.2.8.2.8  2006/10/13 22:16:32  shadzik
- 0.9.23

Revision 1.220.2.8.2.7  2006/10/02 22:49:39  charles
- up to 0.9.22

Revision 1.220.2.8.2.6  2006/08/27 10:02:35  glen
- more sync with HEAD

Revision 1.220.2.8.2.5  2006/08/26 09:15:34  charles
- sync with HEAD

Revision 1.220.2.8.2.4  2006/08/10 17:04:06  havner
- more HEAD merge (giflib, trigger)

Revision 1.220.2.8.2.3  2006/08/10 16:58:27  havner
- 0.9.19

Revision 1.220.2.8.2.2  2006/07/28 09:48:31  charles
- updated to 0.9.18

Revision 1.220.2.8.2.1  2006/07/11 12:25:19  shadzik
- up to 0.9.17

Revision 1.220.2.8  2006/06/22 00:32:13  shadzik
- up to 0.9.16

Revision 1.220.2.7  2006/06/09 13:58:23  charles
- removed redundant R(post,postun) /sbin/ldconfig

Revision 1.220.2.6  2006/06/09 13:41:28  charles
- partial sync with HEAD (binfmt-detector, -ncurses.patch)

Revision 1.220.2.5  2006/06/09 11:31:52  rotom
- up to 0.9.15

Revision 1.220.2.4  2006/05/19 07:34:36  qboosh
- package glut32.dll.so (BR: glut-devel)
- dropped xlibs bcond

Revision 1.220.2.3  2006/05/14 22:50:12  charles
- mv sane.ds.so to -dll-twain

Revision 1.220.2.2  2006/05/14 15:26:12  charles
- updated to 0.9.13
- cleanups

Revision 1.220.2.1  2006/04/26 21:15:30  matkor
- Merged 0.9.12-1 from HEAD. Works for me. STBR Ac.

Revision 1.220  2006/01/17 15:50:50  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.219  2006/01/06 11:40:37  wolf
- 0.9.5

Revision 1.218  2005/12/22 20:55:55  wolf
- 0.9.4

Revision 1.217  2005/12/10 06:34:12  aredridel
- up to 0.9.3

Revision 1.216  2005/11/26 09:25:09  qboosh
- more devel files

Revision 1.215  2005/11/22 20:30:09  wolf
- 0.9.2

Revision 1.214  2005/11/10 09:42:08  speedo
- updated to 0.9.1

Revision 1.213  2005/10/25 17:20:53  wolf
- 0.9

Revision 1.212  2005/10/07 14:23:24  wolf
- 20050930

Revision 1.211  2005/09/01 20:16:07  qboosh
- removed unneeded ncurses patch

Revision 1.210  2005/08/30 21:28:34  paszczus
- temporary (or maybe not?) commented wine-ncurses.patch

Revision 1.209  2005/08/30 21:08:44  paszczus
- updated to 20050830
- updated wine-ncurses.patch

Revision 1.208  2005/07/25 21:06:49  wolf
- 20050725
- cleanup

Revision 1.207  2005/06/29 13:23:26  ankry
- %lang fix

Revision 1.206  2005/06/29 12:55:17  wolf
- 20050628

Revision 1.205  2005/06/06 16:09:28  qboosh
- added alsa patch, now builds with alsa 1.0.9

Revision 1.204  2005/05/30 12:58:40  twittner
- removed {pdf,html}-docs packages and related bconds. Since Wine-20050524
  (this release) SGML documentation moved out of the source tree.

Revision 1.203  2005/05/29 15:56:52  wolf
- 20050524

Revision 1.202  2005/05/09 15:58:52  luzik
 - added bcond with d3d9(that patch freez my desktop)

Revision 1.201  2005/04/22 19:35:05  averne
- fixed d3d9 patch

Revision 1.200  2005/04/22 15:24:57  charles
- updated to 20050419
- updated d3d9 patch

Revision 1.199  2005/04/17 19:43:45  witekfl
- changed URL for patch5 to "working" one.

Revision 1.198  2005/04/06 06:41:24  charles
- moved twain.dll.so (symlink) to -dll-twain

Revision 1.197  2005/03/20 09:05:26  paszczus
- added DirectX support for wine
- release 1.1 - for tests

Revision 1.196  2005/03/11 15:18:06  wolf
- 20050310

Revision 1.195  2005/02/21 17:22:06  qboosh
- added doc patch (SGML syntax fix)
- package winegcc(1) manual

Revision 1.194  2005/02/19 01:52:13  wolf
- 20050211

Revision 1.193  2005/01/15 23:02:31  wolf
- 20050111
